cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
gerkey
Visitor
Visitor
286 Views
Registered: ‎11-06-2019

DPU LIC_FILES_CHKSUM

Hello,I meet this error when i use petalinux-build,how can i solve it? Thanks!

ERROR: dpu-1.0-r0 do_populate_lic: QA Issue: dpu: The LIC_FILES_CHKSUM does not match for file://COPYING;md5=12f884d2ae1ff87c09e5b7ccc2c4ca7e
dpu: The new md5 checksum is 65dd37ccb3e888dc57e47d925b80b38a
dpu: Here is the selected license text:
vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
GNU GENERAL PUBLIC LICENSE
Version 2, June 1991

Copyright (C) 1989, 1991 Free Software Foundation, Inc.
51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
Everyone is permitted to copy and distribute verbatim copies
of this license document, but changing it is not allowed.

                        Preamble

...
`Gnomovision' (which makes passes at compilers) written by James Hacker.

, 1 April 1989
Ty Coon, President of Vice

This General Public License does not permit incorporating your program into
proprietary programs. If your program is a subroutine library, you may
consider it more useful to permit linking proprietary applications with the
library. If this is what you want to do, use the GNU Library General
Public License instead of this License.
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
dpu: Check if the license information has changed in /home/vivado/project/pynq_dpu/build/tmp/work/plnx_zynq7-xilinx-linux-gnueabi/dpu/1.0-r0/COPYING to verify that the LICENSE value "GPLv2" remains valid [license-checksum]
ERROR: dpu-1.0-r0 do_populate_lic: Fatal QA errors found, failing task.
ERROR: dpu-1.0-r0 do_populate_lic: Function failed: populate_lic_qa_checksum
ERROR: Logfile of failure stored in: /home/vivado/project/pynq_dpu/build/tmp/work/plnx_zynq7-xilinx-linux-gnueabi/dpu/1.0-r0/temp/log.do_populate_lic.43979
ERROR: Task (/home/vivado/project/pynq_dpu/project-spec/meta-user/recipes-modules/dpu/dpu.bb:do_populate_lic) failed with exit code '1'

0 Kudos
3 Replies
jasonwu
Moderator
Moderator
210 Views
Registered: ‎03-27-2013

Hi @gerkey ,

 

Just from your error message you are working on a Pynq platform on Zynq-7000 device.

If you think it is a DPU+PetaLinux problem I would suggest you to try with this reference design first(As I know VAI+Zynq-7000 still can't be supported on software side, please correct me if you have more information on that).

It have all the essential kernel/rootfs configurations for Zynq-7000 DPU sollution:

https://www.xilinx.com/support/answers/73058.html

If it can work you may check what are the differences here.

 

Best Regards,
Jason
-----------------------------------------------------------------------------------------------
Please mark the Answer as "Accept as solution" if the information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
-----------------------------------------------------------------------------------------------
0 Kudos
gerkey
Visitor
Visitor
207 Views
Registered: ‎11-06-2019

I just want to Reproduce the project from https://github.com/JinChen-tw/pynqz2_dpu140

it made!

0 Kudos
jasonwu
Moderator
Moderator
195 Views
Registered: ‎03-27-2013

HI @gerkey ,

 

So the efficient way is to ask the github repository author for help.

Otherwise you may need to debug the issue out.

Best Regards,
Jason
-----------------------------------------------------------------------------------------------
Please mark the Answer as "Accept as solution" if the information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
-----------------------------------------------------------------------------------------------
0 Kudos